import request from '@/utils/request'

// 查询LineApiUserGroup列表
export function listLineApiUserGroup(query) {
  return request({
    url: '/api/v1/line-api-user-group',
    method: 'get',
    params: query
  })
}

// 查询LineApiUserGroup详细
export function getLineApiUserGroup(id) {
  return request({
    url: '/api/v1/line-api-user-group/' + id,
    method: 'get'
  })
}

// 新增LineApiUserGroup
export function addLineApiUserGroup(data) {
  return request({
    url: '/api/v1/line-api-user-group',
    method: 'post',
    data: data
  })
}

// 修改LineApiUserGroup
export function updateLineApiUserGroup(data) {
  return request({
    url: '/api/v1/line-api-user-group/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineApiUserGroup
export function delLineApiUserGroup(data) {
  return request({
    url: '/api/v1/line-api-user-group',
    method: 'delete',
    data: data
  })
}

export function getLineApiUserGroupList(query) {
  return request({
    url: '/api/v1/line-api-user-group/options',
    method: 'get',
    params: query
  })
}
